test_run_task:
  params:
    - rack_id
  bb_keys:
    - rack_location
  definition:
    sequence:
      children:
        task:
          module: get_rack_location_task
          args:
            rack_id: rack_id
            rack_location: rack_location
        task:
          module: goto_barcode_task
          args:
            bid: 1
            location: rack_location